import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { UserService } from '../user.service';
import {MatSnackBar} from "@angular/material/snack-bar";

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent {
  email: string = '';
  password: string = '';

  constructor(private userService: UserService, private router: Router, private snackBar: MatSnackBar) {}


  login() {

    this.userService.loginRequest(this.email, this.password).subscribe(userResponse => {

      const role = userResponse.role;

      if (role === 'ADMIN') {
        this.router.navigate(['/admin']);
      } else if (role === 'MODERATOR') {
        this.router.navigate(['/moderator']);
      } else {
        this.router.navigate(['/user']);
      }

    }, error => {
      console.error('Login error:', error);
      this.snackBar.open('Wrong email or password.', 'Close', {
        duration: 3000,
        panelClass: ['custom-snack-bar-error'],
      })
    });
  }
}
