import {Component, OnInit} from '@angular/core';
import {Review} from "../../model/review.model";
import {ReviewService} from "../../services/review.service";
import {Movie} from "../../model/movie.model";
import {MovieService} from "../../services/movie.service";


@Component({
  selector: 'app-viewer-page',
  templateUrl: './viewer-page.component.html',
  styleUrls: ['./viewer-page.component.css']
})
export class ViewerPageComponent implements OnInit {
  reviews: Review[] = [];
  movies: Movie[] = [];

  constructor(private movieService: MovieService, private reviewService: ReviewService) {}

  ngOnInit(): void {
    this.loadMovies();
    this.getReviews();
  }

  getReviews(): void {
    this.reviewService.getAverageRatings().subscribe((data: any) => {
      this.reviews = data;
    });
  }

  loadMovies(): void {
    this.movieService.getAllMovies().subscribe(movies => {
      this.movies = movies;
    });
  }

  getReviewsForMovie(movieId: string): Review[] {
    return this.reviews.filter(review => review.movieId === movieId);
  }
}
