import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import {Review} from "../model/review.model";


@Injectable({
  providedIn: 'root'
})

export class ReviewService {
  private apiUrl = 'http://localhost:8080/api/reviews';

  constructor(private http: HttpClient) {}

  getAverageRatings(): Observable<Map<string, number>> {
    return this.http.get<Map<string, number>>(this.apiUrl + "/average");
  }

  getUserReviews(userId: string): Observable<Review[]> {
    return this.http.get<Review[]>(`${this.apiUrl}/user/${userId}`);
  }


  postReview(review: Review): Observable<void> {
    console.log(review);
    return this.http.post<void>(`${this.apiUrl}`, review);
  }
}
